Upgrading the Clover-for-Grails plugin

Upgrading the Clover-for-Grails plugin is easy. All you need to do is to 're-install' the Clover-for-Grails plugin by following one of the three methods above. During the installation process, Grails will prompt you with a message similar to the following:

You currently already have a version of the plugin installed [clover-x.y]. 
Do you want to upgrade this version? (y, n)

Type 'y', then press enter, then Grails will remove the old version of the Clover-for-Grails plugin and replace it with the newer version.

Upgrading Grails framework

Clover-for-Grails only supports the version of Grails indicated on the Supported Platforms page. Hence, if your Grails project has been developed using an older version of Grails, you will need to:

  1. Download and install a newer version of Grails that Clover supports.
  2. Update your PATH environment variable to point to the bin directory of the newly installed version of Grails.
  3. Change directory to the root of your Grails project directory.
  4. Run the command:

    grails upgrade
    

This upgrades your Grails project to the new version of Grails that you just installed.